Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84267 - kernel 2.4.20-any not liking my Promise ATA100 controller
Summary: kernel 2.4.20-any not liking my Promise ATA100 controller
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
: 84285 (view as bug list)
Depends On:
Blocks: 79579 CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2003-02-13 20:25 UTC by Joshua Jensen
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-29 19:30:09 UTC


Attachments (Terms of Use)

Description Joshua Jensen 2003-02-13 20:25:50 UTC
Description of problem:

Kernel 2.4.20-2.45 when booting find my ATA100 Promise IDE controller, and says:

PDC202XX: Primary channel reset.
PDC202XX: Secondary channel reset.
hde: DMA disabled
hde: timeout waiting for DMA
hde: dma_timer_expiry: dma status == 0x21
hde: timeout waiting for DMA
PDC202XX: Primary channel reset.
PDC202XX: Secondary channel reset.
hde: DMA disabled
hde: timeout waiting for DMA
hde: dma_timer_expiry: dma status == 0x21
hde: timeout waiting for DMA
PDC202XX: Primary channel reset.
PDC202XX: Secondary channel reset.
hde: DMA disabled
hde: timeout waiting for DMA
etc
etc (it goes on for longer than you probably care to read)

This takes about 2 or 3 minutes everytime I boot the machine, and has happened
with all the 2.4.20 kernels that Red Hat Betas have had.  This is not a problem
with the 2.4.18-based kernels.

My kernel command line:
ro root=LABEL=/ hdg=ide-scsi ide0=noprobe ide1=noprobe ide2=ata66

My setup is the ide0 and ide1 have no drives, ide2,3 are on the built-in Promise
card.  ide2 has hde with is a new IBM ata100 drive, with is connected via the
special cable.  ide3 has hdg which is a "Hewlett-Packard CD-Writer Plus 9100,
ATAPI CD/DVD-ROM drive".  The Promise card is built into my Asus A7V133 motherboard:

00:00.0 Host bridge: VIA Technologies, Inc. VT8363/8365 [KT133/KM133] (rev 02)
00:01.0 PCI bridge: VIA Technologies, Inc. VT8363/8365 [KT133/KM133 AGP]
00:04.0 ISA bridge: VIA Technologies, Inc. VT82C686 [Apollo Super South] (rev 22)
00:04.1 IDE interface: VIA Technologies, Inc. VT82C586/B/686A/B PIPC Bus Master
IDE (rev 10)
00:04.2 USB Controller: VIA Technologies, Inc. USB (rev 10)
00:04.3 USB Controller: VIA Technologies, Inc. USB (rev 10)
00:04.4 Bridge: VIA Technologies, Inc. VT82C686 [Apollo Super ACPI] (rev 30)
00:09.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 08)
00:09.1 Input device controller: Creative Labs SB Live! MIDI/Game Port (rev 08)
00:0d.0 Ethernet controller: Lite-On Communications Inc LNE100TX (rev 21)

00:11.0 Unknown mass storage controller: Promise Technology, Inc. 20265 (rev 

02)01:00.0 VGA compatible controller: ATI Technologies Inc Radeon R200 QL
[Radeon 8500 LE]


Version-Release number of selected component (if applicable):

daily build, but every 2.4.20-based kernel has done this

Comment 1 Bill Nottingham 2003-02-14 06:07:28 UTC
*** Bug 84285 has been marked as a duplicate of this bug. ***

Comment 2 Joshua Jensen 2003-04-21 14:44:15 UTC
This is still true with the 2.4.20-9 kernel.

Comment 3 Ewoud Dronkert 2003-12-13 21:17:22 UTC
Also still true for Fedora's 2.4.22-1.2115.nptl. I couldn't install
RH9 or Fedora without first disconnecting all drives from the Promise
controller. When reconnecting the drives, the system freezes during
boot-up. RH8.0 gave no problem.

Comment 4 David Lawrence 2004-09-29 19:30:09 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.